curl --request GET \
--url https://api.sandbox.trio.com.br/banking/cashin/documents \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.sandbox.trio.com.br/banking/cashin/documents"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.sandbox.trio.com.br/banking/cashin/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"amount": {
"amount": 100,
"currency": "BRL"
},
"counterparty": {
"name": "TEST",
"tax_number": "11122233344"
},
"counterparty_bank_account": {
"digit": "1",
"ispb": "49931906",
"number": "12341234",
"type": "checking"
},
"counterparty_bank_account_id": "018f9cb0-8d11-53ba-0550-54933e15377b",
"counterparty_id": "018f9cb0-8d11-7c91-c62b-d94aec76c1bc",
"description": "description",
"end_to_end_id": "E44444444202405211946Dwg1pjxgehP",
"external_id": "external_id",
"id": "018f9cb0-8d11-72dd-bb14-f82554e80999",
"initiation": null,
"origin_id": "018f9cb0-8d11-8143-d18c-5c6cd450b608",
"origin_type": "none",
"receipt_url": "https://receipts.trio.com.br/document_receipts/018f9cb0-8d11-72dd-bb14-f82554e80999",
"reconciliation_id": "018f9cb0-8d11-8143-d18c-5c6cd450b608",
"ref_id": "018f9cb0-8d11-8143-d18c-5c6cd450b608",
"ref_type": "pix_qrcode",
"refunds": [
{
"amount": {
"amount": 10,
"currency": "BRL"
},
"description": "Refund description",
"end_to_end_id": "E44444444202405211946Dwg1pjxgehP",
"id": "018f9cb0-8d37-031e-8b99-bac2919a5033",
"receipt_url": "https://receipts.trio.com.br/document_receipts/018f9cb0-8d11-72dd-bb14-f82554e80999/refund/018f9cb0-8d37-031e-8b99-bac2919a5033",
"reconciliation_id": "018f9cb0-8d37-031e-8b99-bac2919a5033",
"status": "settled",
"timestamp": "2024-05-21T19:46:07.285344Z",
"transaction_date": "2024-05-21T19:46:07.285344Z"
}
],
"stages": [
{
"error_code": null,
"error_message": null,
"id": "018f9cb0-8d37-031e-8b99-bac2919a5033",
"inserted_at": "2024-05-21T19:46:07.285344Z",
"status": "settled"
}
],
"status": "created",
"timestamp": "2024-05-21T19:46:07.249436Z",
"transaction_date": "2024-05-21T19:46:07.249436Z",
"txid": "01HYEB138H6W398TXB3501DF2M",
"type": "pix",
"virtual_account_id": "018f9cb0-8d11-72dd-bb14-f82554e80999"
}
]
}{
"error": {
"error_code": "UNAUTHORIZED",
"error_message": "Invalid credentials"
}
}{
"error": {
"error_code": "INTEGRATION_ERROR",
"error_message": "An unexpected issue occurred"
}
}List Receivables
List receivable documents
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Virtual account ID Unique identifier
From datetime Datetime schema
To datetime Datetime schema
Reconciliation ID Unique identifier
Collecting document ref type
Collecting document status
created, confirmed, settled, refunded, reversed, failed Collecting document type
Parameter used for pagination. It is a base64 encoded param used to access the previous page of results. It is provided alongside a metadata section if there is a previous page.
Parameter used for pagination. It's a base64 encoded param used to access the previous page of results. Provided along with the data in the metadata section if there is a previous page.
Response
Documents
List of collecting documents
Show child attributes
Show child attributes

